backend_helper.py crashed with UnicodeEncodeError in get_dbus_message(): 'ascii' codec can't encode characters in position 20-28: ordinal not in range(128)

Bug #1021317 reported by Karma Dorje on 2012-07-05
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-notifier (Ubuntu)
Undecided
Unassigned

Bug Description

$ lsb_release -rd
Description: Ubuntu quantal (development branch)
Release: 12.10

$ LANG=en apt-cache policy update-notifier
update-notifier:
  Installed: 0.119ubuntu15
  Candidate: 0.119ubuntu15
  Version table:
 *** 0.119ubuntu15 0
        500 http://archive.ubuntu.com/ubuntu/ quantal/main amd64 Packages
        100 /var/lib/dpkg/status

ProblemType: Crash
DistroRelease: Ubuntu 12.10
Package: update-notifier-common 0.119ubuntu15
ProcVersionSignature: Ubuntu 3.5.0-3.3-generic 3.5.0-rc5
Uname: Linux 3.5.0-3-generic x86_64
ApportVersion: 2.2.5-0ubuntu2
Architecture: amd64
CheckboxSubmission: b0ff20e1097011bb5fd96e7239c1968b
CheckboxSystem: 21aa6c17e1fc79cc65eed2169d1b6afc
Date: Thu Jul 5 22:02:34 2012
ExecutablePath: /usr/lib/update-notifier/backend_helper.py
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/lib/update-notifier/backend_helper.py install_all_updates
PythonArgs: ['/usr/lib/update-notifier/backend_helper.py', 'install_all_updates']
SourcePackage: update-notifier
Title: backend_helper.py crashed with UnicodeEncodeError in get_dbus_message(): 'ascii' codec can't encode characters in position 20-28: ordinal not in range(128)
UpgradeStatus: Upgraded to quantal on 2012-07-01 (4 days ago)
UserGroups: adm admin cdrom dialout dip lpadmin plugdev sambashare sudo
modified.conffile..etc.apt.apt.conf.d.10periodic:
 APT::Periodic::Update-Package-Lists "1";
 APT::Periodic::Download-Upgradeable-Packages "1";
 APT::Periodic::AutocleanInterval "0";
 APT::Periodic::Unattended-Upgrade "0";
mtime.conffile..etc.apt.apt.conf.d.10periodic: 2012-03-06T16:07:39.124336

Karma Dorje (taaroa) wrote :
tags: removed: need-duplicate-check
Karma Dorje (taaroa) on 2014-03-12
information type: Private → Public
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers